cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles

## Class MasterFileSource

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message_Source_Recepient
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.masterfiles.MasterFileSource

- All Implemented Interfaces:
    IMessageSource

      public final class MasterFileSource
      extends Message_Source_Recepient
      implements IMessageSource

  MasterFileProcessor provides methods to parse Master File message from Given HL7stream object. It supports check for Master File Query messages. Unlike MasterFileRecepient it supports creation of Master File messages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MasterFileSource()` Constructs MasterFileProcessor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canReceive(EnumMessageCode enumMessageCode, EnumTriggerEvent enumTriggerEvent)` Checks whether underlying Message source can receive specified Message or not.
    `boolean` | `canSend(EnumMessageCode enumMessageCode, EnumTriggerEvent enumTriggerEvent)` Checks whether underlying Message source can send specified Message or not.
    `boolean` | `isMessageExtensionSupported(EnumMessageCode enumMsgCode, EnumTriggerEvent enumTriggerEvent)` Checks whether underlying Message Source supports extension of message for provided message code and trigger event.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message_Source_Recepient

      `createMessage, populateMessage, populateMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cdac.medinfo.sdk.hl7282.baselibs.messages.IMessageSource

      `createMessage, populateMessage, populateMessage`

- - ### Constructor Detail

    - #### MasterFileSource

          public MasterFileSource()

      Constructs MasterFileProcessor

  - ### Method Detail

    - #### isMessageExtensionSupported

          public boolean isMessageExtensionSupported(EnumMessageCode enumMsgCode,
                                            EnumTriggerEvent enumTriggerEvent)

      Checks whether underlying Message Source supports extension of message for provided message code and trigger event. For Local trigger events enum value must be null.
      Specified by:
        `isMessageExtensionSupported` in interface `IMessageSource`
      Parameters:
        `enumMsgCode` - specified message code.
        `enumTriggerEvent` - specified trigger event
      Returns:
        boolean status as true or false

    - #### canSend

          public boolean canSend(EnumMessageCode enumMessageCode,
                        EnumTriggerEvent enumTriggerEvent)

      Checks whether underlying Message source can send specified Message or not.
      Specified by:
        `canSend` in interface `IMessageSource`
      Specified by:
        `canSend` in class `Message_Source_Recepient`
      Parameters:
        `enumMessageCode` - specified message code.
        `enumTriggerEvent` - specified trigger event
      Returns:
        boolean status as true or false

    - #### canReceive

          public boolean canReceive(EnumMessageCode enumMessageCode,
                           EnumTriggerEvent enumTriggerEvent)

      Checks whether underlying Message source can receive specified Message or not.
      Specified by:
        `canReceive` in interface `IMessageSource`
      Specified by:
        `canReceive` in class `Message_Source_Recepient`
      Parameters:
        `enumMessageCode` - specified message code.
        `enumTriggerEvent` - specified trigger event
      Returns:
        boolean status as true or false